Package org.optaplanner.core.config.heuristic.selector.value

## Enum ValueSorterManner

- java.lang.Object
- - java.lang.Enum<ValueSorterManner>
  - - org.optaplanner.core.config.heuristic.selector.value.ValueSorterManner

- All Implemented Interfaces:
    `Serializable`, `Comparable<ValueSorterManner>`

      public enum ValueSorterManner
      extends Enum<ValueSorterManner>

  The manner of sorting a values for a `PlanningVariable`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DECREASING_STRENGTH` |
    `DECREASING_STRENGTH_IF_AVAILABLE` |
    `INCREASING_STRENGTH` |
    `INCREASING_STRENGTH_IF_AVAILABLE` |
    `NONE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ValueSorterManner` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ValueSorterManner[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ValueSorterManner NONE

    - #### INCREASING_STRENGTH

          public static final ValueSorterManner INCREASING_STRENGTH

    - #### INCREASING_STRENGTH_IF_AVAILABLE

          public static final ValueSorterManner INCREASING_STRENGTH_IF_AVAILABLE

    - #### DECREASING_STRENGTH

          public static final ValueSorterManner DECREASING_STRENGTH

    - #### DECREASING_STRENGTH_IF_AVAILABLE

          public static final ValueSorterManner DECREASING_STRENGTH_IF_AVAILABLE

  - ### Method Detail

    - #### values

          public static ValueSorterManner[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValueSorterManner c : ValueSorterManner.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValueSorterManner valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null